Channels
List connected publishers in a project
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthResponse for status 200
application/json- response
connections*array<>oauthReadiness*curl -X GET 'https://postbot.example/api/projects/string/publishers'Example Response
{
"connections": [
{
"id": "string",
"projectId": "string",
"publisherId": "string",
"channelId": "string",
"kind": "string",
"credentialId": "string",
"endpointUrl": "string",
"destination": {
"type": "account",
"id": "string",
"name": "string"
},
"authentication": {
"kind": "none"
},
"providerId": "string",
"externalAccountId": "string",
"externalAccountName": "string",
"scopes": [
"string"
],
"state": "active",
"connectedByActorId": "string",
"createdAt": 0,
"updatedAt": 0
}
],
"oauthReadiness": {
"instagram": "ready",
"facebook": "ready",
"linkedin": "ready",
"bluesky": "ready",
"x": "ready"
}
}